<h3 mat-dialog-title>{{data.title}}</h3>
<div mat-dialog-content>
  <p>{{data.message}}</p>
</div>
<form (ngSubmit)="onSubmit()" #inputForm="ngForm">
  <div fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
    <mat-form-field fxFlex="100">
        <textarea matInput placeholder={{data.placeholder}} name="inputText" [(ngModel)]="inputText"
                  matTextareaAutosize matAutosizeMinRows="3" matAutosizeMaxRows="5" required></textarea>
    </mat-form-field>
  </div>
  <div fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
    <div mat-dialog-actions>
      <button type="button" mat-raised-button (click)="onNoClick()">Cancelar</button>
      <button type="submit" mat-raised-button color="primary" [disabled]="!inputForm.form.valid" >Confirmar</button>
    </div>
  </div>
</form>